varying vec3 v_normal;
varying vec4 _color;
void main(void)
{
	_color = gl_Color;
	gl_TexCoord[0] = gl_MultiTexCoord0;
   gl_Position = ftransform();
  v_normal = normalize( gl_NormalMatrix*gl_Normal);
 //  v_normal = normalize(gl_Normal);
}